unit UnitZumenWidth;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  UnitData,  UnitFunc ;

type
  TFmZumenWidth = class(TForm)
    Label6: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    ListBox1: TListBox;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    P_CData : TDataClass ;
  end;

var
  FmZumenWidth: TFmZumenWidth;

implementation

{$R *.dfm}

// N
procedure TFmZumenWidth.FormShow(Sender: TObject);
var
   i : integer ;
   s : string ;
begin
   ListBox1.Items.Clear ;
   for i:=0 to P_CData.zWidN-1 do begin
      if not(P_CData.zWid[i].exf) then continue ;
      s :=   IntToStr(P_CData.zWid[i].no) + ':'
         + FloatToStr(P_CData.zWid[i].Width) ;
      ListBox1.Items.Add(s);
   end;
end;

// I
procedure TFmZumenWidth.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   //
end;

// [ǉo^]
procedure TFmZumenWidth.Button1Click(Sender: TObject);
var
   r : Boolean ;
   i : integer ;
   s : string ;
begin
   Inc(P_CData.OpeNumber);
   r := P_CData.AddWidth(P_CData.zWidMax+1, SDbl(Edit1.Text), 0,0);
   if (r) then begin
      ListBox1.Items.Clear ;
      for i:=0 to P_CData.zWidN-1 do begin
         if not(P_CData.zWid[i].exf) then continue ;
         s :=   IntToStr(P_CData.zWid[i].no) + ':'
            + FloatToStr(P_CData.zWid[i].Width) ;
         ListBox1.Items.Add(s);
      end;
   end
   else
      ShowMessage('ǉo^o܂ł');
end;

// ꗗNbNlmF
procedure TFmZumenWidth.ListBox1Click(Sender: TObject);
var
   i,j : integer ;
begin
   if (ListBox1.Items.Count = 0) then exit;
   i := ListBox1.ItemIndex;
   if (i = -1) then exit;
   j := Pos(':',ListBox1.Items[i]);
   i := SInt(Copy(ListBox1.Items[i],1,j-1));
   i := P_CData.GetWidthIdx(i);
   if (i = -1) then exit;
   with P_CData.zWid[i] do begin
      Edit1.Text := FloatToStr(Width);
   end;
end;

// []
procedure TFmZumenWidth.Button2Click(Sender: TObject);
begin
   close ;
end;

end.
